package cn.superdesk.uniorder.service.sys.notify;


import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.common.security.dto.LoginSysUser;
import cn.superdesk.uniorder.dao.entity.sys.notify.SysNotify;
import cn.superdesk.uniorder.dto.param.system.notify.SysNotifyClearByDatabaseRecordCriteria;
import cn.superdesk.uniorder.service.base.BaseService;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;


/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-03-01 17:37:17
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-03-01 17:37:17
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
public interface SysNotifyService extends BaseService<SysNotify> {


	/****************************************** extends BaseService 部分 start ******************************************/

	int insertSelective(SysNotify entity);

    int updateByPrimaryKeySelective(SysNotify entity);

	@Deprecated
	void deleteObj(Long id);

	@Deprecated
	SysNotify findById(Long id);

	@Deprecated
	PageInfo<SysNotify> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize);

	@Deprecated
	List<SysNotify> findAll(Map<String, Object> queryMap);

	/****************************************** extends BaseService 部分   end ******************************************/


	void addSysNotify(SysNotify entity);

	void updateSysNotify(SysNotify entity);

	void deleteSysNotify(Long id);

	SysNotify findSysNotifyById(Long id);

	R<List<SysNotify>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize, LoginSysUser loginSysUser);

	/****************************************** 计划任务 start ******************************************/

	List<SysNotify> findByClearByDatabaseRecord(SysNotifyClearByDatabaseRecordCriteria sysNotifyClearByDatabaseRecordCriteria);


	/****************************************** 常规返回 start ******************************************/

	SysNotify receiveInvoiceApplyCustomerFieldMakeInvoiceStatusSuccess(LoginSysUser loginSysUser);
}
